Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network131.3.0.0/19
Usable hosts8,190
Subnet mask255.255.224.0
Addresses8,192
Network address
131.3.0.0
Broadcast address
131.3.31.255
First usable
131.3.0.1
Last usable
131.3.31.254
Usable hosts
8,190 (8,192 less the network and broadcast addresses)
Subnet mask
255.255.224.0
Wildcard mask
0.0.31.255 (Cisco ACLs, OSPF)
Prefix length
/19
Type
Public public
Old class
B (default /16)
As numbers
Hex 83030000 · Integer 2198011904 to 2198020095
Reverse DNS zones
0.3.131.in-addr.arpa
1.3.131.in-addr.arpa
2.3.131.in-addr.arpa
3.3.131.in-addr.arpa
4.3.131.in-addr.arpa
5.3.131.in-addr.arpa
6.3.131.in-addr.arpa
7.3.131.in-addr.arpa
8.3.131.in-addr.arpa
9.3.131.in-addr.arpa
10.3.131.in-addr.arpa
11.3.131.in-addr.arpa
12.3.131.in-addr.arpa
13.3.131.in-addr.arpa
14.3.131.in-addr.arpa
15.3.131.in-addr.arpa
and 16 more
/19 is not on a 8-bit boundary, so it takes 32 /24 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address10000011.00000011.00000000.00000000131.3.0.0
Subnet mask11111111.11111111.11100000.00000000255.255.224.0
Network10000011.00000011.00000000.00000000131.3.0.0
Broadcast10000011.00000011.00011111.11111111131.3.31.255
Split into smaller subnets/26

131.3.0.0/19 makes 128 subnets of /26.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
1131.3.0.0/26131.3.0.1 to 131.3.0.62131.3.0.6362
2131.3.0.64/26131.3.0.65 to 131.3.0.126131.3.0.12762
3131.3.0.128/26131.3.0.129 to 131.3.0.190131.3.0.19162
4131.3.0.192/26131.3.0.193 to 131.3.0.254131.3.0.25562
5131.3.1.0/26131.3.1.1 to 131.3.1.62131.3.1.6362
6131.3.1.64/26131.3.1.65 to 131.3.1.126131.3.1.12762
7131.3.1.128/26131.3.1.129 to 131.3.1.190131.3.1.19162
8131.3.1.192/26131.3.1.193 to 131.3.1.254131.3.1.25562
9131.3.2.0/26131.3.2.1 to 131.3.2.62131.3.2.6362
10131.3.2.64/26131.3.2.65 to 131.3.2.126131.3.2.12762
11131.3.2.128/26131.3.2.129 to 131.3.2.190131.3.2.19162
12131.3.2.192/26131.3.2.193 to 131.3.2.254131.3.2.25562
13131.3.3.0/26131.3.3.1 to 131.3.3.62131.3.3.6362
14131.3.3.64/26131.3.3.65 to 131.3.3.126131.3.3.12762
15131.3.3.128/26131.3.3.129 to 131.3.3.190131.3.3.19162
16131.3.3.192/26131.3.3.193 to 131.3.3.254131.3.3.25562
17131.3.4.0/26131.3.4.1 to 131.3.4.62131.3.4.6362
18131.3.4.64/26131.3.4.65 to 131.3.4.126131.3.4.12762
19131.3.4.128/26131.3.4.129 to 131.3.4.190131.3.4.19162
20131.3.4.192/26131.3.4.193 to 131.3.4.254131.3.4.25562
21131.3.5.0/26131.3.5.1 to 131.3.5.62131.3.5.6362
22131.3.5.64/26131.3.5.65 to 131.3.5.126131.3.5.12762
23131.3.5.128/26131.3.5.129 to 131.3.5.190131.3.5.19162
24131.3.5.192/26131.3.5.193 to 131.3.5.254131.3.5.25562
25131.3.6.0/26131.3.6.1 to 131.3.6.62131.3.6.6362
26131.3.6.64/26131.3.6.65 to 131.3.6.126131.3.6.12762
27131.3.6.128/26131.3.6.129 to 131.3.6.190131.3.6.19162
28131.3.6.192/26131.3.6.193 to 131.3.6.254131.3.6.25562
29131.3.7.0/26131.3.7.1 to 131.3.7.62131.3.7.6362
30131.3.7.64/26131.3.7.65 to 131.3.7.126131.3.7.12762
31131.3.7.128/26131.3.7.129 to 131.3.7.190131.3.7.19162
32131.3.7.192/26131.3.7.193 to 131.3.7.254131.3.7.25562
33131.3.8.0/26131.3.8.1 to 131.3.8.62131.3.8.6362
34131.3.8.64/26131.3.8.65 to 131.3.8.126131.3.8.12762
35131.3.8.128/26131.3.8.129 to 131.3.8.190131.3.8.19162
36131.3.8.192/26131.3.8.193 to 131.3.8.254131.3.8.25562
37131.3.9.0/26131.3.9.1 to 131.3.9.62131.3.9.6362
38131.3.9.64/26131.3.9.65 to 131.3.9.126131.3.9.12762
39131.3.9.128/26131.3.9.129 to 131.3.9.190131.3.9.19162
40131.3.9.192/26131.3.9.193 to 131.3.9.254131.3.9.25562
41131.3.10.0/26131.3.10.1 to 131.3.10.62131.3.10.6362
42131.3.10.64/26131.3.10.65 to 131.3.10.126131.3.10.12762
43131.3.10.128/26131.3.10.129 to 131.3.10.190131.3.10.19162
44131.3.10.192/26131.3.10.193 to 131.3.10.254131.3.10.25562
45131.3.11.0/26131.3.11.1 to 131.3.11.62131.3.11.6362
46131.3.11.64/26131.3.11.65 to 131.3.11.126131.3.11.12762
47131.3.11.128/26131.3.11.129 to 131.3.11.190131.3.11.19162
48131.3.11.192/26131.3.11.193 to 131.3.11.254131.3.11.25562
49131.3.12.0/26131.3.12.1 to 131.3.12.62131.3.12.6362
50131.3.12.64/26131.3.12.65 to 131.3.12.126131.3.12.12762
51131.3.12.128/26131.3.12.129 to 131.3.12.190131.3.12.19162
52131.3.12.192/26131.3.12.193 to 131.3.12.254131.3.12.25562
53131.3.13.0/26131.3.13.1 to 131.3.13.62131.3.13.6362
54131.3.13.64/26131.3.13.65 to 131.3.13.126131.3.13.12762
55131.3.13.128/26131.3.13.129 to 131.3.13.190131.3.13.19162
56131.3.13.192/26131.3.13.193 to 131.3.13.254131.3.13.25562
57131.3.14.0/26131.3.14.1 to 131.3.14.62131.3.14.6362
58131.3.14.64/26131.3.14.65 to 131.3.14.126131.3.14.12762
59131.3.14.128/26131.3.14.129 to 131.3.14.190131.3.14.19162
60131.3.14.192/26131.3.14.193 to 131.3.14.254131.3.14.25562
61131.3.15.0/26131.3.15.1 to 131.3.15.62131.3.15.6362
62131.3.15.64/26131.3.15.65 to 131.3.15.126131.3.15.12762
63131.3.15.128/26131.3.15.129 to 131.3.15.190131.3.15.19162
64131.3.15.192/26131.3.15.193 to 131.3.15.254131.3.15.25562
65131.3.16.0/26131.3.16.1 to 131.3.16.62131.3.16.6362
66131.3.16.64/26131.3.16.65 to 131.3.16.126131.3.16.12762
67131.3.16.128/26131.3.16.129 to 131.3.16.190131.3.16.19162
68131.3.16.192/26131.3.16.193 to 131.3.16.254131.3.16.25562
69131.3.17.0/26131.3.17.1 to 131.3.17.62131.3.17.6362
70131.3.17.64/26131.3.17.65 to 131.3.17.126131.3.17.12762
71131.3.17.128/26131.3.17.129 to 131.3.17.190131.3.17.19162
72131.3.17.192/26131.3.17.193 to 131.3.17.254131.3.17.25562
73131.3.18.0/26131.3.18.1 to 131.3.18.62131.3.18.6362
74131.3.18.64/26131.3.18.65 to 131.3.18.126131.3.18.12762
75131.3.18.128/26131.3.18.129 to 131.3.18.190131.3.18.19162
76131.3.18.192/26131.3.18.193 to 131.3.18.254131.3.18.25562
77131.3.19.0/26131.3.19.1 to 131.3.19.62131.3.19.6362
78131.3.19.64/26131.3.19.65 to 131.3.19.126131.3.19.12762
79131.3.19.128/26131.3.19.129 to 131.3.19.190131.3.19.19162
80131.3.19.192/26131.3.19.193 to 131.3.19.254131.3.19.25562
81131.3.20.0/26131.3.20.1 to 131.3.20.62131.3.20.6362
82131.3.20.64/26131.3.20.65 to 131.3.20.126131.3.20.12762
83131.3.20.128/26131.3.20.129 to 131.3.20.190131.3.20.19162
84131.3.20.192/26131.3.20.193 to 131.3.20.254131.3.20.25562
85131.3.21.0/26131.3.21.1 to 131.3.21.62131.3.21.6362
86131.3.21.64/26131.3.21.65 to 131.3.21.126131.3.21.12762
87131.3.21.128/26131.3.21.129 to 131.3.21.190131.3.21.19162
88131.3.21.192/26131.3.21.193 to 131.3.21.254131.3.21.25562
89131.3.22.0/26131.3.22.1 to 131.3.22.62131.3.22.6362
90131.3.22.64/26131.3.22.65 to 131.3.22.126131.3.22.12762
91131.3.22.128/26131.3.22.129 to 131.3.22.190131.3.22.19162
92131.3.22.192/26131.3.22.193 to 131.3.22.254131.3.22.25562
93131.3.23.0/26131.3.23.1 to 131.3.23.62131.3.23.6362
94131.3.23.64/26131.3.23.65 to 131.3.23.126131.3.23.12762
95131.3.23.128/26131.3.23.129 to 131.3.23.190131.3.23.19162
96131.3.23.192/26131.3.23.193 to 131.3.23.254131.3.23.25562
97131.3.24.0/26131.3.24.1 to 131.3.24.62131.3.24.6362
98131.3.24.64/26131.3.24.65 to 131.3.24.126131.3.24.12762
99131.3.24.128/26131.3.24.129 to 131.3.24.190131.3.24.19162
100131.3.24.192/26131.3.24.193 to 131.3.24.254131.3.24.25562
101131.3.25.0/26131.3.25.1 to 131.3.25.62131.3.25.6362
102131.3.25.64/26131.3.25.65 to 131.3.25.126131.3.25.12762
103131.3.25.128/26131.3.25.129 to 131.3.25.190131.3.25.19162
104131.3.25.192/26131.3.25.193 to 131.3.25.254131.3.25.25562
105131.3.26.0/26131.3.26.1 to 131.3.26.62131.3.26.6362
106131.3.26.64/26131.3.26.65 to 131.3.26.126131.3.26.12762
107131.3.26.128/26131.3.26.129 to 131.3.26.190131.3.26.19162
108131.3.26.192/26131.3.26.193 to 131.3.26.254131.3.26.25562
109131.3.27.0/26131.3.27.1 to 131.3.27.62131.3.27.6362
110131.3.27.64/26131.3.27.65 to 131.3.27.126131.3.27.12762
111131.3.27.128/26131.3.27.129 to 131.3.27.190131.3.27.19162
112131.3.27.192/26131.3.27.193 to 131.3.27.254131.3.27.25562
113131.3.28.0/26131.3.28.1 to 131.3.28.62131.3.28.6362
114131.3.28.64/26131.3.28.65 to 131.3.28.126131.3.28.12762
115131.3.28.128/26131.3.28.129 to 131.3.28.190131.3.28.19162
116131.3.28.192/26131.3.28.193 to 131.3.28.254131.3.28.25562
117131.3.29.0/26131.3.29.1 to 131.3.29.62131.3.29.6362
118131.3.29.64/26131.3.29.65 to 131.3.29.126131.3.29.12762
119131.3.29.128/26131.3.29.129 to 131.3.29.190131.3.29.19162
120131.3.29.192/26131.3.29.193 to 131.3.29.254131.3.29.25562
121131.3.30.0/26131.3.30.1 to 131.3.30.62131.3.30.6362
122131.3.30.64/26131.3.30.65 to 131.3.30.126131.3.30.12762
123131.3.30.128/26131.3.30.129 to 131.3.30.190131.3.30.19162
124131.3.30.192/26131.3.30.193 to 131.3.30.254131.3.30.25562
125131.3.31.0/26131.3.31.1 to 131.3.31.62131.3.31.6362
126131.3.31.64/26131.3.31.65 to 131.3.31.126131.3.31.12762
127131.3.31.128/26131.3.31.129 to 131.3.31.190131.3.31.19162
128131.3.31.192/26131.3.31.193 to 131.3.31.254131.3.31.25562

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses